import { DialogService } from '@alauda/ui';
import { Location } from '@angular/common';
import { OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { Subject } from 'rxjs';
import { TranslateService } from '../../translate/translate.service';
import * as i0 from "@angular/core";
export declare class InterceptDeactivateService implements OnDestroy {
    private readonly location;
    private readonly router;
    private readonly dialog;
    private readonly translate;
    destroy$$: Subject<void>;
    constructor(location: Location, router: Router, dialog: DialogService, translate: TranslateService);
    ngOnDestroy(): void;
    intercept({ title, content, context, errorFallback, }?: {
        title?: string;
        content?: string;
        context?: unknown;
        errorFallback?: boolean;
    }): import("rxjs").Observable<boolean>;
    back(escape?: boolean): Promise<void>;
    searchParamsToQueryParams(searchParams: URLSearchParams): Record<string, string | string[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<InterceptDeactivateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<InterceptDeactivateService>;
}
